MAXScript Language Reference > 3ds Max Objects > Interfaces > Node Interfaces > Node Interfaces Documentation >

# Interface: INodeMentalRayProperties

This represents a Node Interface to the node’s mental ray properties. These properties correspond to the UI controls found in the mental ray tab of the Object Properties dialog.

Available in 3ds Max 8 and higher and further expanded in 3ds Max 2009.

Properties:

## Final Gather:

    <node>.mr_castModeFGIllum : enum : Read|Write

    mr_castModeFGIllum enums: {#ObjColor|#Black|#Invisible}

Corresponds to the When Object is Hit by a Final Gather radio buttons in the Object Properties > mental ray tab > Final Gather group of controls.

Possible values are:

#ObjColor - Return Object Color (Physically Correct) - default-Returns the object’s material color at the point that the final gather ray intersects it, and contributes to final gather illumination. This is the default mode.

#Black- Return Black - Blocks final gather rays, returning no color, thus not shading the object at all.

#Invisible - Pass through (Invisible to FG) - Prevents the final gather process from seeing the object during ray casting. This is useful for ignoring the light contribution from small, complex objects like blades of grass. The final gather rays pass through and strike the underlying object, such as a ground plane that is easier to shade.

Available in 3ds Max 2009 and higher.

    <node>.mr_rcvFGIllum : bool : Read|Write

Corresponds to the Receive Illumination from Final Gather checkbox in the Object Properties > mental ray tab > Final Gather group of controls.

When set to true, the object is subject to illumination from final gather rays. When set to false, the object is not illuminated by final gather rays.

Default value is true.

Available in 3ds Max 2009 and higher.

## Caustics and Global Illumination:

    <node>.mr_excludeCaustics : bool : Read|Write

Corresponds to the Exclude from Caustics Calculations checkbox in the Object Properties > mental ray tab > Caustics and Global Illumination group of controls.

When set to true, the object does not participate in the caustics solution. When set to false, the additional caustics-related object properties are available.

Default value is false.

Available in 3ds Max 2009 and higher.

See also mental ray Related Node Properties for access to the additional Generate/Receive Caustics properties.

    <node>.mr_excludeGlobalIllum : bool : Read|Write

Corresponds to the Exclude from GI Calculations checkbox in the Object Properties > mental ray tab > Caustics and Global Illumination group of controls.

When set to true, the object does not participate in the global-illumination solution.

When set to false, the additional global-illumination-related object properties are available.

Default value is false.

Available in 3ds Max 2009 and higher.

See also mental ray Related Node Properties for access to the additional Generate/Receive GI properties.

## Displacement:

    <node>.mr_displacementUseGlobalSettings : bool : Read|Write

Corresponds to the Use Global Settings checkbox in the Object Properties > mental ray tab > Displacement group of controls.

When set to true, the global displacement settings in the Shadows Displacement Rollout will be used.

When set to false, the following values will be used instead:

    <node>.mr_viewDependentDisplacement : bool : Read|Write

Corresponds to the View-Dependent checkbox in the Object Properties > mental ray tab > Displacement group of controls.

Defines the space for displacement.

When set to true and the Use Global Settings option is turned off, the Edge Length setting specifies the length in pixels.

When set to false, Edge Length is specified in world-space units.

    <node>.mr_displacementMethod : enum : Read|Write

    mr_displacementMethod enums: { #Fine |#Fine_NoSmoothing }

Corresponds to the Smoothing (Turn OFF with Height Maps) checkbox in the Object Properties > mental ray tab > Displacement group of controls.

The values have the following effect:

#Fine-checked - mental ray simply smoothes the geometry using the interpolated normals, making the geometry look better. This result, however, cannot be used for height map displacement because smoothing affects geometry in a way that is incompatible with height mapping.

#Fine_NoSmoothing - unchecked - mental ray will render correctly height maps which can be generated by normal mapping.

Default is true.

    <node>.mr_displacementEdgeLength : float : Read|Write

Corresponds to the Edge Length value in the Object Properties > mental ray tab > Displacement group of controls.

When the Use Global Settings option is turned off, then if the View-Dependent option is turned on the edge length value will be taken in pixels. Default is 2 pixels.

If the View-Dependent option if turned off, the edge length will be used as worldunits.

    <node>.mr_maxDisplace : float : Read|Write

Corresponds to the Max.Displace value in the Object Properties > mental ray tab > Displacement group of controls.

When the Use Global Settings option is turned off, this value controls the maximum displacement of a vertex in world units for this object. This value can affect the bounding box of an object.

Default is 20.

    <node>.mr_displacementMaxLevel : integer : Read|Write

Corresponds to the Max.Level value in the Object Properties > mental ray tab > Displacement group of controls.

When the Use Global Settings option is turned off, this value controls the maximum displacement levels for this object.

Default is 6.

#### See Also

- Node Interfaces

- mental ray Related Node Properties